org.apache.xmpbox.type

## Class DimensionsType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.type.DimensionsType

    public class DimensionsType
    extends AbstractStructuredType

### Field Summary

Fields
`static String` `H`
`static String` `UNIT`
`static String` `W`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`DimensionsType(XMPMetadata metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Float` `getH()`
`String` `getUnit()`
`Float` `getW()`
`String` `toString()`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### H

    public static final String H

See Also:
  Constant Field Values

#### W

    public static final String W

See Also:
  Constant Field Values

#### UNIT

    public static final String UNIT

See Also:
  Constant Field Values

### Constructor Detail

#### DimensionsType

    public DimensionsType(XMPMetadata metadata)

### Method Detail

#### getH

    public Float getH()

#### getW

    public Float getW()

#### getUnit

    public String getUnit()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`